function [dataListTable] = loadData(tdmsFileList, csvFileList)

    %Convert struct to cell for easy access
    tdmsFileList = struct2cell(tdmsFileList);
    
    if width(tdmsFileList) > 0
        path = tdmsFileList{2, 1};
    else
        path = csvFileList(1).folder;
    end

    %load TDMS files
    for i = 1:width(tdmsFileList)

        %Read files and save them as a table in a list
        data = tdmsread(strcat(path, '\', tdmsFileList{1, i}));
        %Take the table out of an 1x1 cell array and convert it in a cell array.
        dataListTable{i} = table2array(data{1,1});
        
    end

    %load CSV files
    for i = width(tdmsFileList) + 1: length(csvFileList) + width(tdmsFileList)

        %Read CSV files
        dataListTable{i} = readmatrix(strcat(path, '\', csvFileList(i - width(tdmsFileList)).name));

    end

end

